Name:           perl-BioPerl
Version:        1.6.924
Release:        1%{?dist}
Summary:        Perl Modules for Biology
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/BioPerl/
Source0:        http://www.cpan.org/authors/id/C/CJ/CJFIELDS/BioPerl-%{version}.tar.gz
# don't use /usr/local/bin/perl (from Debian)
Patch1:		perl-BioPerl-examples.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 1:v5.6.1
BuildRequires:  perl(Algorithm::Munkres)
BuildRequires:  perl(Array::Compare)
# not a circular dependency
BuildRequires:  perl(Bio::Phylo)
BuildRequires:  perl(Clone)
BuildRequires:  perl(Convert::Binary::C)
BuildRequires:  perl(CPAN) >= 1.81
BuildRequires:  perl(Data::Stag) >= 0.11
#BuildRequires:  perl(Error)
BuildRequires:  perl(ExtUtils::Manifest) >= 1.52
BuildRequires:  perl(GD)
BuildRequires:  perl(Graph) >= 0.5
BuildRequires:  perl(GraphViz)
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl(HTML::HeadParser) >= 3
BuildRequires:  perl(HTML::TableExtract)
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(IO::Scalar)
BuildRequires:  perl(IO::String)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(PostScript::TextBlock)
BuildRequires:  perl(Set::Scalar)
BuildRequires:  perl(SOAP::Lite)
BuildRequires:  perl(Sort::Naturally)
BuildRequires:  perl(Spreadsheet::ParseExcel)
BuildRequires:  perl(Spreadsheet::WriteExcel)
# Storable?
BuildRequires:  perl(SVG) >= 2.26
BuildRequires:  perl(SVG::Graph) >= 0.01
BuildRequires:  perl(Test::Harness) >= 2.62
BuildRequires:  perl(Test::Most)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(XML::DOM)
BuildRequires:  perl(XML::DOM::XPath)
BuildRequires:  perl(XML::LibXML)
BuildRequires:  perl(XML::Parser)
BuildRequires:  perl(XML::Parser::PerlSAX)
BuildRequires:  perl(XML::SAX) >= 0.15
BuildRequires:  perl(XML::SAX::Writer)
BuildRequires:  perl(XML::Simple)
BuildRequires:  perl(XML::Twig)
BuildRequires:  perl(XML::Writer) >= 0.4
BuildRequires:  perl(YAML)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# Avoid circular dependencies and /bin/perl (about which I can't see
# why rpmlint is complaining)
%global __requires_exclude perl(Bio::.*|^/bin/perl
%{?filter_setup:
%filter_from_requires /perl(Bio::/d
%filter_from_requires /^\/bin\/perl/d
%filter_setup
}

%description
BioPerl is the product of a community effort to produce Perl code which is
useful in biology. Examples include Sequence objects, Alignment objects and
database searching objects. These objects not only do what they are
advertised to do in the documentation, but they also interact - Alignment
objects are made from the Sequence objects, Sequence objects have access to
Annotation and SeqFeature objects and databases, Blast objects can be
converted to Alignment objects, and so on. This means that the objects
provide a coordinated and extensible framework to do computational biology.

%prep
%setup -q -n BioPerl-%{version}
# Don't use -b, or backup files will be installed
%patch1 -p1

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

# Useless and has #!/bin/bash
rm ide/bioperl-mode/dist/package-me
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
# Many spurious exec permissions
find $RPM_BUILD_ROOT -name \*.pm -exec chmod 0644 {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

# avoid "use Gtk"
rm examples/tk/gsequence.pl

%check
# Requires the -run package?
#./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%{!?_licensedir:%global license %%doc}
%files
# fixme: move ide/bioperl-mode into Emacs tree
%doc AUTHORS Bio BUGS Changes DEPRECATED doc examples ide models README README.md scripts
%license LICENSE
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man3/*
%{_mandir}/man1/*

%changelog
* Fri Nov 27 2015 Dave Love <loveshack@fedoraproject.org> - 1.6.924-1
- Update Debian examples patch
- Modify BRs to avoid circular dependency.
- Use %%license and clean up %%doc

* Thu Apr  9 2015 Dave Love <d.love@liverpool.ac.uk> - 1.6.924-1
- Initial packaging, modified from cpanspec version
